# $Id: perl-Text-Vpp.spec 3087 2005-04-02 22:11:58Z dries $
# Authority: dries
# Upstream: Dominique Dumont <Dominique_Dumont$hp,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Text-Vpp

Summary: Versatile text pre-processor
Name: perl-Text-Vpp
Version: 1.16
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Text-Vpp/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/D/DD/DDUMONT/Text-Vpp-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Vpp can handle conditional text, loop, variable substitutions in the
text.  Advanced users may also include inline perl code , inline
subroutines in the text.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" "PREFIX=%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man?/*
%{_bindir}/vpp
%{perl_vendorlib}/Text/Vpp.pm
%{perl_vendorlib}/auto/Text/Vpp

%changelog
* Sat Apr  2 2005 Dries Verachtert <dries@ulyssis.org> - 1.16-1 - 3087/dries
- Initial package.
